> For the complete documentation index, see [llms.txt](https://docs.compendium.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compendium.finance/pendax/using-pendax-sdk/bitget-functions/account-spot.md).

# Account (Spot)

All Spot Market Account & Account Data API endpoints require authentication. Please create Bitget API keys to interact with these functions successfully.

### Get ApiKey Info

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-apikey-info>
{% endhint %}

#### Function name:

```javascript
getApiKeyInfo()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getApiKeyInfo(exchange) {
    try {
        let result = await exchange.getApiKeyInfo();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getApiKeyInfo(myBitgetAccount)
```

### Get Account Assets

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

[https://bitgetlimited.github.io/apidoc/en/spot/#get-account-asset](https://bitgetlimited.github.io/apidoc/en/spot/#get-account-assets)
{% endhint %}

#### Function name:

```javascript
getAccountAssets()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getAccountAssets(exchange) {
    try {
        let result = await exchange.getAccountAssets();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getAccountAssets(myBitgetAccount)
```

### Get sub Account Spot Assets

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-sub-account-spot-assets>
{% endhint %}

#### Function name:

```javascript
getSubaccountSpotAssets()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getSubaccountSpotAssets(exchange) {
    try {
        let result = await exchange.getSubaccountSpotAssets();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getSubaccountSpotAssets(myBitgetAccount)
```

### Get Bills

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-bills>
{% endhint %}

#### Function name:

```javascript
getBills()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getBills(exchange) {
    try {
        let result = await exchange.getBills();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getBills(myBitgetAccount)
```

### Get Transfer List

{% hint style="info" %}
Please refer to the official Bitget API Docs for the required parameters.

<https://bitgetlimited.github.io/apidoc/en/spot/#get-transfer-list>
{% endhint %}

#### Function name:

```javascript
getTransferList()
```

#### Usage:&#x20;

```javascript
import { createExchange } from "./exchanges/exchange.js";

  let myBitgetAccount = createExchange({
      exchange: "bitget",
      authenticate: "true",
      key: "myKeys",
      secret: "mySecret",
      passphrase: "myPassphrase",
      label: "bitget",
      marginType: "usdt"
});

async function getTransferList(exchange) {
    try {
        let result = await exchange.getTransferList();
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

const result = await getTransferList(myBitgetAccount)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/bitget-functions/account-spot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
